local f, o, db = CreateFrame("Frame"), "No error yet.", {
	["mode"] = "whitelist", -- This defines the mode of filtering. Options are whitelist and blacklist.
	[ERR_INV_FULL] = true, -- All errors can be found on http://www.wowwiki.com/WoW_Constants/Errors, this error is for example "Inventory is full.".
	[""] = true, -- Copy & paste this line and change "" to a value found on the website above to add errors...
	[""] = true, -- ...or you enter the exact error between the quotes like this: "Out of range".
}

-- DON'T EDIT BELOW THIS LINE --
f:SetScript("OnEvent",function(_,_,e)
	if e=="" then return end
	if db.mode~="whitelist" and not db[e] or db.mode=="whitelist" and db[e] then
	UIErrorsFrame:AddMessage(e,1,0,0) else o=e end
end)
SLASH_NCERROR1 = "/error"
function SlashCmdList.NCERROR() UIErrorsFrame:AddMessage(o,1,0,0) end
UIErrorsFrame:UnregisterEvent("UI_ERROR_MESSAGE")
f:RegisterEvent("UI_ERROR_MESSAGE")